package com.crm.pay.dto.finance.withdraw.automatic;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.math.BigDecimal;
import java.util.LinkedHashMap;
import java.util.Map;

@Data
public class FinanceWithdrawCwgUnioniDto extends FinanceWithdrawCwgDto {

    private Map<String, String> params;
    private Map<String, String> paramsEn;


    @JSONField(ordinal = 1)
    private BigDecimal amount;
    @JSONField(ordinal = 10)
    private String name;
    @JSONField(ordinal = 20)
    private String bankUname;
    @JSONField(ordinal = 30)
    private String bankCardNum;
    @JSONField(ordinal = 40)
    private String bankName;
    @JSONField(ordinal = 50)
    private String bankBranchName;


    public FinanceWithdrawCwgUnioniDto() {

        params = new LinkedHashMap<>();

        paramsEn = new LinkedHashMap<>();
        params.put("amount", "金额");
        params.put("name", "名字");
        params.put("bankUname", "银行账户名");
        params.put("bankCardNum", "银行卡号");
        params.put("bankName", "银行名称");
        params.put("bankBranchName", "支行地址");

        paramsEn.put("amount", "amount");
        paramsEn.put("name", "name");
        paramsEn.put("bankUname", "banke uname");
        paramsEn.put("bankCardNum", "bank cark num");
        paramsEn.put("bankName", "bank name");
        paramsEn.put("bankBranchName", "bank branch name");
    }
}
